net.minecraft.network.packet

## Class Packet63WorldParticles

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet63WorldParticles

-     public class Packet63WorldParticles
      extends Packet

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet63WorldParticles()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getOffsetX()`
    `float` | `getOffsetY()`
    `float` | `getOffsetZ()`
    `int` | `getPacketSize()` Abstract.
    `String` | `getParticleName()`
    `double` | `getPositionX()`
    `double` | `getPositionY()`
    `double` | `getPositionZ()`
    `int` | `getQuantity()`
    `float` | `getSpeed()`
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
    `void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Packet63WorldParticles

          public Packet63WorldParticles()

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInputStream par1DataInputStream)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutputStream par1DataOutputStream)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### getParticleName

          public String getParticleName()

    - #### getPositionX

          public double getPositionX()

    - #### getPositionY

          public double getPositionY()

    - #### getPositionZ

          public double getPositionZ()

    - #### getOffsetX

          public float getOffsetX()

    - #### getOffsetY

          public float getOffsetY()

    - #### getOffsetZ

          public float getOffsetZ()

    - #### getSpeed

          public float getSpeed()

    - #### getQuantity

          public int getQuantity()